Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IEventDefinition

All Superinterfaces:
  Serializable

    public interface IEventDefinition

extends Serializable

Defines an event type (a business occurrence) in terms of a document type, and a set of implementation specific properties.

Method Summary
`IEvent` | `createDefaultEvent()` Create an event object containing default structure and values.
`IEvent` | `createDefaultEvent(DefaultDocumentOptions options)` Create an event object containing default structure and values, and using the specified options.
`void` | `fromXML(String xml)` Parse an XML string representing an event definition.
`IClientData` | `getClientData()` Get the client data to be used by the adapter during its event generation processing, or null if none was specified.
`String` | `getDescription()` Get the description for this event definition.
`String` | `getName()` Get the type name.
`String` | `getPayloadRootElementName()` Get the root element name for payload for this event definition.
`SOMSchema` | `getPayloadSchema()` Get the schema for the payload document.
`String` | `getPayloadSchemaName()` Get the name of the document schema for payload for this event definition.
`Map` | `getPropertySet()` Get the properties (name/value pairs) for this service.
`void` | `setClientData(IClientData data)` Store the client data to be used by the adapter during its event generation processing.
`void` | `setDescription(String description)` Set the description for this event definition;
`void` | `setName(String name)` Set the type name.
`void` | `setPayloadRootElementName(String rootElementName)` Set the root element name for the payload for this event definition.
`void` | `setPayloadSchema(SOMSchema schema)` Set the schema for the payload document.
`void` | `setPayloadSchemaName(String schemaName)` Set the name of the document schema for payload for this event definition.
`void` | `setPropertySet(Map props)` Set the properties (name/value pairs) for this event.
`String` | `toXML()` Get an XML string representing this event definition.

Method Detail

### getName

    String getName()

  Get the type name.

### setName

    void setName(String name)

  Set the type name.

### createDefaultEvent

    IEvent createDefaultEvent()
                              throws Exception

  Create an event object containing default structure and values.

  Throws:
    `Exception`

### createDefaultEvent

    IEvent createDefaultEvent(DefaultDocumentOptions options)
                              throws Exception

  Create an event object containing default structure and values, and using the specified options.

  Throws:
    `Exception`

### getDescription

    String getDescription()

  Get the description for this event definition.

### setDescription

    void setDescription(String description)

  Set the description for this event definition;

### getPayloadSchemaName

    String getPayloadSchemaName()

  Get the name of the document schema for payload for this event definition.

### setPayloadSchemaName

    void setPayloadSchemaName(String schemaName)

  Set the name of the document schema for payload for this event definition.

### getPayloadRootElementName

    String getPayloadRootElementName()

  Get the root element name for payload for this event definition.

### setPayloadRootElementName

    void setPayloadRootElementName(String rootElementName)

  Set the root element name for the payload for this event definition.

### getPayloadSchema

    SOMSchema getPayloadSchema()

  Get the schema for the payload document.

### setPayloadSchema

    void setPayloadSchema(SOMSchema schema)

  Set the schema for the payload document.

### getPropertySet

    Map getPropertySet()

  Get the properties (name/value pairs) for this service. These properties describe the metadata needed by the implementer of the service, and are opaque to any outside consumer.

### setPropertySet

    void setPropertySet(Map props)

  Set the properties (name/value pairs) for this event. These properties describe the metadata needed by the implementer of the event, and are opaque to any outside consumer.

### toXML

    String toXML()
                 throws DocumentException

  Get an XML string representing this event definition. The schema is referred to by name, and it not include inline in the returned XML.

  Throws:
    `DocumentException` - if there is an error creating the XML.

### fromXML

    void fromXML(String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse an XML string representing an event definition. The schema is referred to by name, and is not include inline in the returned XML.

  Throws:
    `DocumentParseException` - if the xml cannot be parsed.
    `DocumentException` - if an error occurs while processing the xml.

### setClientData

    void setClientData(IClientData data)

  Store the client data to be used by the adapter during its event generation processing.

### getClientData

    IClientData getClientData()

  Get the client data to be used by the adapter during its event generation processing, or null if none was specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD